<?php
/**
 * Corporate One Starter Content
 *
 * @package Corporate One
 * @since Corporate One 1.5.1
 */

/**
 * Function to return the array of starter content for the theme.
 *
 * Passes it through the `corporate_one_starter_content` filter before returning.
 *
 * @since Corporate One 1.5.1
 * @return array a filtered array of args for the starter_content.
 */
function corporate_one_get_starter_content() {

	// Define and register starter content to showcase the theme on new sites.
	$starter_content = array(
		'widgets'    => array(
			// Place one core-defined widgets in the first footer widget area.
			'sidebar-1' => array(
				'text_about',
			),
		),

		// Specify the core-defined pages to create and add custom thumbnails to some of them.
		'posts'      => array(
			'front' => array(
				'post_type'    => 'page',
				'post_title'   => __( 'Home', 'corporate-one' ),
				'template'     => 'gutenberg-fullwidth.php',
				'post_content' => join(
					'',
					array(
						'<!-- wp:cover {"url":"' . get_theme_file_uri() . '/images/corporatebg.jpg' . '","id":15,"dimRatio":60,"overlayColor":"responsive-container-background-color","minHeight":600,"align":"full"} -->', //phpcs:ignore
						'<div class="wp-block-cover alignfull has-background-dim-60 has-responsive-container-background-color-background-color has-background-dim" style="background-image:url(' . get_theme_file_uri() . '/images/corporatebg.jpg' . ');min-height:600px">', //phpcs:ignore
						'<div class="wp-block-cover__inner-container">',
						'<!-- wp:columns -->',
						'<div class="wp-block-columns">',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:heading {"level":1,"textColor":"button-hover-text-color"} -->',
						'<h1 class="has-button-hover-text-color-color has-text-color">Corporate</h1>',
						'<!-- /wp:heading -->',
						'<!-- wp:paragraph {"fontSize":"normal"} -->',
						'<p class="has-normal-font-size">For Business, Corporate, Agency Websites, Easy to Setup Create Blog Posts For Updates and News</p>',
						'<!-- /wp:paragraph -->',
						'<!-- wp:buttons -->',
						'<div class="wp-block-buttons">',
						'<!-- wp:button {"customBackgroundColor":"#82b440","borderRadius":4} -->',
						'<div class="wp-block-button"><a class="wp-block-button__link has-background" style="background-color:#82b440;border-radius:4px">Read More</a></div>',
						'<!-- /wp:button --></div>',
						'<!-- /wp:buttons -->',
						'<!-- wp:paragraph -->',
						'<p></p>',
						'<!-- /wp:paragraph --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column"></div>',
						'<!-- /wp:column --></div>',
						'<!-- /wp:columns --></div></div>',
						'<!-- /wp:cover -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:heading {"align":"center"} -->',
						'<h2 class="has-text-align-center">About Us</h2>',
						'<!-- /wp:heading -->',
						'<!-- wp:spacer {"height":50} -->',
						'<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:paragraph {"align":"center","fontSize":"normal"} -->',
						'<p class="has-text-align-center has-normal-font-size">Lorem<strong> </strong>Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>',
						'<!-- /wp:paragraph -->',
						'<!-- wp:spacer {"height":50} -->',
						'<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:columns -->',
						'<div class="wp-block-columns">',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:group {"customBackgroundColor":"#82b440"} -->',
						'<div class="wp-block-group has-background" style="background-color:#82b440">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":1,"textColor":"button-hover-text-color"} -->',
						'<h1 class="has-button-hover-text-color-color has-text-color has-text-align-center">80</h1>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:group {"customBackgroundColor":"#82b440"} -->',
						'<div class="wp-block-group has-background" style="background-color:#82b440">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"button-hover-text-color"} -->',
						'<h4 class="has-button-hover-text-color-color has-text-color has-text-align-center">Awards</h4>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:paragraph -->',
						'<p></p>',
						'<!-- /wp:paragraph --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:group {"customBackgroundColor":"#3f9487"} -->',
						'<div class="wp-block-group has-background" style="background-color:#3f9487">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":1,"textColor":"button-hover-text-color"} -->',
						'<h1 class="has-button-hover-text-color-color has-text-color has-text-align-center">90</h1>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:group {"customBackgroundColor":"#3f9487"} -->',
						'<div class="wp-block-group has-background" style="background-color:#3f9487">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"button-hover-text-color"} -->',
						'<h4 class="has-button-hover-text-color-color has-text-color has-text-align-center">Members</h4>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:group {"customBackgroundColor":"#82b440"} -->',
						'<div class="wp-block-group has-background" style="background-color:#82b440">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":1,"textColor":"button-hover-text-color"} -->',
						'<h1 class="has-button-hover-text-color-color has-text-color has-text-align-center">100</h1>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:group {"customBackgroundColor":"#82b440"} -->',
						'<div class="wp-block-group has-background" style="background-color:#82b440">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"button-hover-text-color"} -->',
						'<h4 class="has-button-hover-text-color-color has-text-color has-text-align-center">Projects</h4>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:paragraph -->',
						'<p></p>',
						'<!-- /wp:paragraph --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:group {"customBackgroundColor":"#3f9487"} -->',
						'<div class="wp-block-group has-background" style="background-color:#3f9487">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":1,"textColor":"button-hover-text-color"} -->',
						'<h1 class="has-button-hover-text-color-color has-text-color has-text-align-center">50</h1>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group -->',
						'<!-- wp:group {"customBackgroundColor":"#3f9487"} -->',
						'<div class="wp-block-group has-background" style="background-color:#3f9487">',
						'<div class="wp-block-group__inner-container">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"button-hover-text-color"} -->',
						'<h4 class="has-button-hover-text-color-color has-text-color has-text-align-center">Happy Clients</h4>',
						'<!-- /wp:heading --></div></div>',
						'<!-- /wp:group --></div>',
						'<!-- /wp:column --></div>',
						'<!-- /wp:columns -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:cover {"customOverlayColor":"#eeeeee","align":"full"} -->',
						'<div class="wp-block-cover alignfull has-background-dim" style="background-color:#eeeeee">',
						'<div class="wp-block-cover__inner-container">',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:media-text {"align":"","mediaId":60,"mediaLink":"' . site_url() . '/home/corporateg-about/","mediaType":"image"} -->',
						'<div class="wp-block-media-text is-stacked-on-mobile">',
						'<figure class="wp-block-media-text__media"><img src="' . get_theme_file_uri() . '/images/corporate-about.jpg" alt="" class="wp-image-60"/></figure>',
						'<div class="wp-block-media-text__content">',
						'<!-- wp:heading {"textColor":"responsive-container-background-color"} -->',
						'<h2 class="has-responsive-container-background-color-color has-text-color">Grow Your Business With Our Strategy</h2>',
						'<!-- /wp:heading -->',
						'<!-- wp:spacer {"height":20} -->',
						'<div style="height:20px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:paragraph {"textColor":"responsive-container-background-color","fontSize":"normal"} -->',
						'<p class="has-text-color has-normal-font-size has-responsive-container-background-color-color">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the type specimen book.</p>',
						'<!-- /wp:paragraph -->',
						'<!-- wp:spacer {"height":20} -->',
						'<div style="height:20px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:buttons -->',
						'<div class="wp-block-buttons">',
						'<!-- wp:button {"customBackgroundColor":"#82b440","borderRadius":4} -->',
						'<div class="wp-block-button"><a class="wp-block-button__link has-background" style="background-color:#82b440;border-radius:4px">Explore More</a></div>',
						'<!-- /wp:button --></div>',
						'<!-- /wp:buttons -->',
						'<!-- wp:paragraph -->',
						'<p></p>',
						'<!-- /wp:paragraph --></div></div>',
						'<!-- /wp:media-text -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:paragraph {"align":"center","placeholder":"Write title…","fontSize":"large"} -->',
						'<p class="has-text-align-center has-large-font-size"></p>',
						'<!-- /wp:paragraph --></div></div>',
						'<!-- /wp:cover -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:heading {"align":"center"} -->',
						'<h2 class="has-text-align-center">Gallery</h2>',
						'<!-- /wp:heading -->',
						'<!-- wp:spacer {"height":50} -->',
						'<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:gallery {"ids":[81,82,83,84,85,86],"columns":3,"linkTo":"media","sizeSlug":"full"} -->',
						'<figure class="wp-block-gallery columns-3 is-cropped"><ul class="blocks-gallery-grid">',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg6.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg6.jpg" alt="" data-id="81" data-full-url="' . get_theme_file_uri() . '/images/corporateg6.jpg" data-link="' . site_url() . '/home/corporateg6/" class="wp-image-81"/></a></figure>',
						'</li>',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg5.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg5.jpg" alt="" data-id="82" data-full-url="' . get_theme_file_uri() . '/images/corporateg5.jpg" data-link="' . site_url() . '/home/corporateg5/" class="wp-image-82"/></a></figure>',
						'</li>',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg4.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg4.jpg" alt="" data-id="83" data-full-url="' . get_theme_file_uri() . '/images/corporateg4.jpg" data-link="' . site_url() . '/home/corporateg4/" class="wp-image-83"/></a></figure>',
						'</li>',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg3.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg3.jpg" alt="" data-id="84" data-full-url="' . get_theme_file_uri() . '/images/corporateg3.jpg" data-link="' . site_url() . '/home/corporateg3/" class="wp-image-84"/></a></figure>',
						'</li>',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg2.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg2.jpg" alt="" data-id="85" data-full-url="' . get_theme_file_uri() . '/images/corporateg2.jpg" data-link="' . site_url() . '/home/corporateg2/" class="wp-image-85"/></a></figure>',
						'</li>',
						'<li class="blocks-gallery-item">',
						'<figure><a href="' . get_theme_file_uri() . '/images/corporateg1.jpg"><img src="' . get_theme_file_uri() . '/images/corporateg1.jpg" alt="" data-id="86" data-full-url="' . get_theme_file_uri() . '/images/corporateg1.jpg" data-link="' . site_url() . '/home/corporateg1/" class="wp-image-86"/></a></figure>',
						'</li>',
						'</ul></figure>',
						'<!-- /wp:gallery -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:cover {"customOverlayColor":"#eeeeee","align":"full"} -->',
						'<div class="wp-block-cover alignfull has-background-dim" style="background-color:#eeeeee">',
						'<div class="wp-block-cover__inner-container">',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:heading {"align":"center","textColor":"responsive-container-background-color"} -->',
						'<h2 class="has-responsive-container-background-color-color has-text-color has-text-align-center">Get In Touch</h2>',
						'<!-- /wp:heading -->',
						'<!-- wp:spacer {"height":50} -->',
						'<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer -->',
						'<!-- wp:columns -->',
						'<div class="wp-block-columns"><!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"responsive-container-background-color"} -->',
						'<h4 class="has-responsive-container-background-color-color has-text-color has-text-align-center">Address</h4>',
						'<!-- /wp:heading -->',
						'<!-- wp:heading {"align":"center","level":5,"textColor":"responsive-container-background-color"} -->',
						'<h5 class="has-responsive-container-background-color-color has-text-color has-text-align-center">123, Main Street, Anytown, ST 12345</h5>',
						'<!-- /wp:heading --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"responsive-container-background-color"} -->',
						'<h4 class="has-responsive-container-background-color-color has-text-color has-text-align-center">Call Now</h4>',
						'<!-- /wp:heading -->',
						'<!-- wp:heading {"align":"center","level":5,"textColor":"responsive-container-background-color"} -->',
						'<h5 class="has-responsive-container-background-color-color has-text-color has-text-align-center">+123 456 7890</h5>',
						'<!-- /wp:heading --></div>',
						'<!-- /wp:column -->',
						'<!-- wp:column -->',
						'<div class="wp-block-column">',
						'<!-- wp:heading {"align":"center","level":4,"textColor":"responsive-container-background-color"} -->',
						'<h4 class="has-responsive-container-background-color-color has-text-color has-text-align-center">Email </h4>',
						'<!-- /wp:heading -->',
						'<!-- wp:heading {"align":"center","level":5,"textColor":"responsive-container-background-color"} -->',
						'<h5 class="has-responsive-container-background-color-color has-text-color has-text-align-center">hello@example.com</h5>',
						'<!-- /wp:heading --></div>',
						'<!-- /wp:column --></div>',
						'<!-- /wp:columns -->',
						'<!-- wp:spacer -->',
						'<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>',
						'<!-- /wp:spacer --></div></div>',
						'<!-- /wp:cover -->',
						'<!-- wp:paragraph -->',
						'<p></p>',
						'<!-- /wp:paragraph -->',

					)
				),
			),
			'about',
			'blog',
			'services',
			'contact',
		),

		// Default to a static front page and assign the front and posts pages.
		'options'    => array(
			'show_on_front'  => 'page',
			'page_on_front'  => '{{front}}',
			'page_for_posts' => '{{blog}}',
		),

		// Set up nav menus for each of the two areas registered in the theme.
		'nav_menus'  => array(
			// Assign a menu to the "primary" location.
			'primary' => array(
				'name'  => __( 'Primary', 'corporate-one' ),
				'items' => array(
					'link_home', // Note that the core "home" page is actually a link in case a static front page is not used.
					'page_about',
					'page_blog',
					'page_services',
					'page_contact',
				),
			),
		),

		// Custom setting.
		'theme_mods' => array(
			'responsive_header_background_color' => '#ffffff',
			'responsive_header_site_title_color' => '#333333',
			'responsive_header_text_color'       => '#333333',
			'responsive_header_menu_link_color'  => '#333333',

		),
	);

	/**
	 * Filters Corporate One array of starter content.
	 *
	 * @since Corporate One 1.5.1
	 *
	 * @param array $starter_content Array of starter content.
	 */
	return apply_filters( 'corporate_one_starter_content', $starter_content );

}
